Details

    • Type: Bug
    • Status: Resolved
    • Priority: Critical
    • Resolution: Done
    • Affects Version/s: 2.4.0-fuse-01-00
    • Component/s: None
    • Labels:
      None

      Description

      Using ESB 4.3.0-fuse-02-00:

      karaf@root> features:install camel-cxf
      Error executing command: No feature named 'http' with version '2.4.0-fuse-01-00' available
      

      This is due to the Camel features file (http://repo.fusesource.com/maven2/org/apache/camel/karaf/apache-camel/2.4.0-fuse-01-00/apache-camel-2.4.0-fuse-01-00-features.xml) and the Karaf features file both containing a feature named "http". Only one gets included (the Karaf one) and so the version number referenced in the Camel features file is incorrect. We should probably reference the Karaf features repo in the camel features file for the Karaf http feature instead of duplicating it.

      The workaround at the moment is to commented out line "<feature version='2.4.0-fuse-01-00'>http</feature>" of the camel-cxf feature and then manually installed features such as:

      camel-cxf
      camel-http
      camel-jetty

      This will need to be fixed in the next ESB release.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  davsclaus Claus Ibsen
                  Reporter:
                  janstey Jonathan Anstey
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  0 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: